declare const _default: {
    name: string;
    props: {
        position: {
            type: StringConstructor;
            default: string;
        };
        backgroundColor: {
            type: StringConstructor;
            default: string;
        };
        icon: {
            type: (ObjectConstructor | StringConstructor)[];
            default: string;
        };
        resetTime: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        animated: {
            type: BooleanConstructor;
            default: boolean;
        };
        xm_mode: StringConstructor;
        xm_mode_root: BooleanConstructor;
        xm_template: (ObjectConstructor | FunctionConstructor)[];
        xm_renderless: FunctionConstructor;
        xm_theme: StringConstructor;
        xm_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => import("vue").VNode;
};
export default _default;
